@import "../global/fontawesome.min.css";
@import "../global/conversation.css";

textarea {
  width: 100%;
  border: unset;
  box-sizing: border-box;
  height: 141px;
  padding: 1rem;
  max-width: 847px;
}

.comment-action-button {
  width: 231px;
}
.comment-action-button button,
.close-card button
{
  border-radius: 25px;
  text-transform: uppercase;
}
.comment-action-button button {
  width: 100%;
  max-width: unset;
}


.toast {
  opacity: 0;
  background-color: rgba(0, 0, 0, .5);
  color: var(--white-color);
  position: absolute;
  transform: translate(-50%, -50%);
  bottom: -3%;
  left: 50%;
  padding: 1rem;
  border-radius: .5rem;
  font-weight: bold;
  font-size: .75rem;
  transition: opacity 1s;
}
.toast--show {
  opacity: 1;
}

.comment-input__max-size {
  margin: 18px 0 0 0;
}

.comment-moderation {
  display: flex;
  gap: 23px;
  margin: 0 0 18px 0;
}
.comment-input__max-size span,
.comment-moderation__label span,
.comment-moderation__counter span {
  font-weight: bold;
  font-size: .75rem;
  text-transform: uppercase;
}

.comment-input__max-size span,
.comment-moderation__counter
{
  color: var(--grey-color);
}
.comment-moderation__counter span::after {
  content: " comentários adicionados (máx 2)";
}

@media only screen and (max-width: 375px) {
  .buttons {
    margin: 20px 0 45px 0;
  }
  .action-button button {
    font-size: .65rem;
  }
  .conversation__title {
    margin: 15px 0 !important;
    overflow-y: scroll;
    max-height: 160px;
  }
  h2 {
    font-size: 2rem;
  }
}

@media only screen and (max-width: 320px) {
  .conversation__title {
    max-height: 100px;
  }
}
